Loading...
Searching...
No Matches
mqtt::topic_matcher< T >::match_iterator Class Reference

`#include <topic_matcher.h>`

Inheritance diagram for mqtt::topic_matcher< T >::match_iterator:

## Public Member Functions

reference | operator* () noexcept
const_reference | operator* () const noexcept
value_type * | operator-> () noexcept
const value_type * | operator-> () const noexcept
match_iterator | operator++ (int) noexcept
match_iterator & | operator++ () noexcept
bool | operator!= (const match_iterator &other) const noexcept

## Friends

class | topic_matcher

## Detailed Description

template<typename T>
class mqtt::topic_matcher< T >::match_iterator

Iterator that efficiently searches the collection for topic matches.

## Member Function Documentation

## operator*() [1/2]

template<typename T >

reference mqtt::topic_matcher< T >::match_iterator::operator* | ( |  | ) |

inline noexcept

Gets a reference to the current value.

Returns
  A reference to the current value.

## operator*() [2/2]

template<typename T >

const_reference mqtt::topic_matcher< T >::match_iterator::operator* | ( |  | ) | const

inline noexcept

Gets a const reference to the current value.

Returns
  A const reference to the current value.

## operator->() [1/2]

template<typename T >

value_type * mqtt::topic_matcher< T >::match_iterator::operator-> | ( |  | ) |

inline noexcept

Get a pointer to the current value.

Returns
  A pointer to the current value.

## operator->() [2/2]

template<typename T >

const value_type * mqtt::topic_matcher< T >::match_iterator::operator-> | ( |  | ) | const

inline noexcept

Get a const pointer to the current value.

Returns
  A const pointer to the current value.

## operator++() [1/2]

template<typename T >

match_iterator mqtt::topic_matcher< T >::match_iterator::operator++ | ( | int |  | ) |

inline noexcept

Postfix increment operator.

Returns
  An iterator pointing to the previous matching item.

## operator++() [2/2]

template<typename T >

match_iterator & mqtt::topic_matcher< T >::match_iterator::operator++ | ( |  | ) |

inline noexcept

Prefix increment operator.

Returns
  An iterator pointing to the next matching item.

## operator!=()

template<typename T >

bool mqtt::topic_matcher< T >::match_iterator::operator!= | ( | const match_iterator & | other | ) | const

inline noexcept

Compares two iterators to see if they don't refer to the same node.

Parameters

  other | The other iterator to compare against this one.

Returns
  true if they don't match, false if they do

## Friends And Related Symbol Documentation

## topic_matcher

template<typename T >

friend class topic_matcher

friend

The documentation for this class was generated from the following file:

- topic_matcher.h